
//
// wlog.h : Helper facilities with logging support.
//          Currently, we only have debugger output facilities
//
// This file is part of the Winterdom library
// Copyright (C) 2000-2001, Tomas Restrepo (tomasr@mvps.org)
//            
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//

#ifndef WLOG_H__INCLUDED
#define WLOG_H__INCLUDED

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "wctypes.h"


namespace Winterdom {
  namespace Logging {
    //
    // DebugPrint() works just like printf(),
    // except it prints its output to the debug
    // output stream
    //
    inline void __cdecl DebugPrint ( const TCHAR* format, ... )
    {
      va_list list; 
      va_start ( list, format );

      const int max_buf = 1000;
      TCHAR buffer[max_buf];
      _vstprintf ( buffer, format, list );
      OutputDebugString ( buffer );

      va_end ( list );
    }
  } // namespace Logging
} // namespace Tomasr

#endif // WLOG_H__INCLUDED
